Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 452505 - libextractor-plugins-pdf: use default pdf plugin instead of one based on xpdf [NEEDINFO]
Summary: libextractor-plugins-pdf: use default pdf plugin instead of one based on xpdf
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: libextractor
Version: rawhide
Hardware: All
OS: Linux
medium
high
Target Milestone: ---
Assignee: Enrico Scholz
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-23 13:41 UTC by Tomas Hoger
Modified: 2009-10-28 11:14 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-09-13 11:29:20 UTC
thoger: needinfo? (rh-bugzilla)


Attachments (Terms of Use)

Description Tomas Hoger 2008-06-23 13:41:47 UTC
Description of problem:
libextractor sources contain two pdf reader plugins - one based on embedded copy
of xpdf code (plugins/pdf/pdfextractor.cc) and (as of 0.5.12) own minimal pdf
extractor sufficient to read meta-data out or the pdf (plugins/pdfextractor.c).
 pdfextractor.c seems to be a default pdf extractor in current libextractor
versions, unless overridden at compile time by --enable-xpdf as is done in
Fedora packages.

As xpdf code is frequently patched for security issues that may (or may not)
affect libextractor.  Please consider using default pdf extractor unless there
is a well-known reason why xpdf-based version should be used.

As a side effects, using minimal pdfextractor.c may allow you to merge -pdf
subpackage to -base, as it is written in C and hence does not require extra libs
(C++ libs) needed by xpdf-based version (which is probably a reason for separate
subpackage).

Version-Release number of selected component (if applicable):
libextractor-0.5.20b-1

Comment 1 Enrico Scholz 2009-09-13 11:29:20 UTC
should be solved since 0.5.22-1

Comment 2 Tomas Hoger 2009-09-17 08:21:36 UTC
Thank you.

Anyway, configure log related to xpdf support is rather amusing:

with --disable-xpdf:
  configure: NOTICE: xpdf disabled (result: limited PDF support)

with --enable-xpdf:
  configure: NOTICE: xpdf enabled (xpdf has a bad security record)

Enrico, have you considered -pdf sub-package to -base as proposed above?  -pdf no longer has any extra dependencies compared to -base, which, I guess, was the main reason for separate -pdf sub-package.

Comment 3 Tomas Hoger 2009-10-28 11:14:00 UTC
Needinfo on the -pdf sub-package merge.


Note You need to log in before you can comment on or make changes to this bug.